#ifndef GTKMM_MY_EVENT_H
#define GTKMM_MY_EVENT_H

#include <gtkmm.h>

class MyEvent : public Gtk::Window
{
public:
	MyEvent();

private:
	// GUI layout
	Gtk::Box m_Main_Box;
	Gtk::Box m_Panel_Box;
	Gtk::Box m_Buttons_Box;
	Gtk::Frame m_Panel_Frame;
	Gtk::Button m_Button_Draw_Clear;	
	Gtk::DrawingArea m_Area;

	bool draw ; 			// current drawing state
	bool thick_linewidth ;  // another state variable
	
	//Button Signal handlers:
	void on_button_clicked_draw_clear();
	
	// DrawingArea signal handler:
	void on_draw(const Cairo::RefPtr<Cairo::Context>& cr, 
		         int width, int height);

	// keyboard event signal handler:
	bool on_window_key_pressed(guint keyval, guint keycode, 
							   Gdk::ModifierType state); 

};

#endif // GTKMM_MY_EVENT_H
