#ifndef GTKMM_MY_EVENT_H
#define GTKMM_MY_EVENT_H

#include <gtkmm.h>

class MyEvent : public Gtk::Window
{
public:
	MyEvent();

private:
	// GUI layout
	Gtk::Box m_Main_Box;
	Gtk::Box m_Panel_Box;
	Gtk::Box m_Buttons_Box;
	Gtk::Frame m_Panel_Frame;
	Gtk::Button m_Button_Move_xc_yc;	
	Gtk::DrawingArea m_Area;

	// used to enable using mouse move data
	bool move_xc_yc ; 		
	int  xc,yc; 		// drawing parameter
	
	//Button Signal handlers:
	void on_button_clicked_move_xc_yc();
	
	// DrawingArea signal handler:
	void on_draw(const Cairo::RefPtr<Cairo::Context>& cr, 
		         int width, int height);

	// mouse event signal handler:
    void set_mouse_controller();
    void on_drawing_left_click(int n_press, double x, double y);
    void on_drawing_right_click(int n_press, double x, double y);
    void on_drawing_move(double x, double y);
};

#endif // GTKMM_MY_EVENT_H
